Package org.apache.tomcat.util.http.fileupload.impl

## Class FileUploadIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tomcat.util.http.fileupload.impl.FileUploadIOException

All Implemented Interfaces:
  `java.io.Serializable`

    public class FileUploadIOException
    extends java.io.IOException

This exception is thrown for hiding an inner `FileUploadException` in an `IOException`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`FileUploadIOException​(FileUploadException pCause)` Creates a `FileUploadIOException` with the given cause.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `getCause()` Returns the exceptions cause.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileUploadIOException

    public FileUploadIOException​(FileUploadException pCause)

Creates a `FileUploadIOException` with the given cause.

Parameters:
  `pCause` - The exceptions cause, if any, or null.

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Returns the exceptions cause.

Overrides:
  `getCause` in class `java.lang.Throwable`
Returns:
  The exceptions cause, if any, or null.